﻿@using GoCoCMS.Web.Areas.Admin.Models.Post
@model BlogPostListModel
@{
    ViewData["Title"] = "Index";
    Layout = "~/Areas/Admin/Views/Shared/_AdminLayout.cshtml";
}
<div class="content-header clearfix">
    <h1 class="pull-left">
        Manage Blog Post
    </h1>
    <div class="pull-right">
        <a asp-action="Create" class="btn bg-blue">
            <i class="fa fa-plus-square"></i>
            Add new
        </a>
    </div>
</div>

<div class="content">
    <div class="form-horizontal">
        <div class="panel-group">
            @await Html.PartialAsync("_SearchForm", Model.BlogPostSearchModel)

            <div class="panel panel-default">
                <div class="panel-body">
                    <table class="table table-bordered table-striped table-hover">
                        <tr>
                            <th width="10%">Name</th>
                            <th width="30%">Short Description</th>
                            <th width="10%">Category</th>
                            <th width="15%">Created Date</th>
                            <th width="10%">Show on Home page</th>
                            <th width="10%">Allow Comment</th>
                            <th width="15%" class="text-center">Action</th>
                        </tr>
                        @foreach (var blogPost in Model.BlogPosts)
                        {
                            <tr>
                                <td>@blogPost.Name</td>
                                <td>@blogPost.ShortDescription</td>
                                <td>@blogPost.Category</td>
                                <td>@blogPost.CreatedDateString</td>
                                <td>@blogPost.ShowOnHomePage.ToString()</td>
                                <td>@blogPost.AllowComment.ToString()</td>
                                <td class="text-center">
                                    <a class="btn btn-default" asp-action="Edit" asp-route-id="@blogPost.Id"><i class="fa fa-edit"></i>Edit</a>
                                    <a class="btn btn-default" asp-action="Delete" asp-route-id="@blogPost.Id"
                                       onclick="return confirm('Are you sure you want to delete this item?')">
                                        <i class="fa fa-remove"></i>Delete
                                    </a>
                                </td>
                            </tr>
                        }
                    </table>
                </div>
            </div>
        </div>
    </div>
    <div class="text-center">
        <goco-paging page-model="@Model.PagingModelFilter"
                     page-action=""
                     page-class="page-link"
                     page-class-selected="active" />
    </div>
</div>
